Get activity code type criticality

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/activity-code-types/{activityCodeTypeId}/criticality

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • activityCodeTypeId integer(int64) Required

Query parameters

  • filterId array[integer(int64)]
  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • activityCodeId integer(int64)
    • activityCodeName string
    • status string

      Values are CRITICAL, AT_RISK, or ON_SCHEDULE.

    • activityCount integer(int64)
GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/activity-code-types/{activityCodeTypeId}/criticality
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/activity-code-types/{activityCodeTypeId}/criticality' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "activityCodeId": 42,
    "activityCodeName": "string",
    "status": "CRITICAL",
    "activityCount": 42
  }
]